Lite(3pm)

NAME
PDL::Lite - minimum PDL module OO loader

DESCRIPTION
Loads the smallest possible set of modules for PDL to work, without importing an functions in to the current namespace. This is the absolute minimum set for PDL.

Although no functions are defined (apart from a few always exported by PDL::Core) you can still use method syntax, viz:

  $x->wibble(42);

SYNOPSIS
 use PDL::Lite; # Is equivalent to the following:

   use PDL::Core '';
   use PDL::Ops '';
   use PDL::Primitive '';
   use PDL::Ufunc '';
   use PDL::Basic '';
   use PDL::Slices '';
   use PDL::Bad '';
   use PDL::Version;
   use PDL::Lvalue;